Add liquidity to a pool
curl --request POST \
--url https://api.soroswap.finance/liquidity/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetA": "CAS3J7GY...",
"assetB": "CCW67TSZ...",
"amountA": "10000000",
"amountB": "10000000",
"to": "GALAXYVOID...",
"slippageBps": "50"
}
'import requests
url = "https://api.soroswap.finance/liquidity/add"
payload = {
"assetA": "CAS3J7GY...",
"assetB": "CCW67TSZ...",
"amountA": "10000000",
"amountB": "10000000",
"to": "GALAXYVOID...",
"slippageBps": "50"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assetA: 'CAS3J7GY...',
assetB: 'CCW67TSZ...',
amountA: '10000000',
amountB: '10000000',
to: 'GALAXYVOID...',
slippageBps: '50'
})
};
fetch('https://api.soroswap.finance/liquidity/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soroswap.finance/liquidity/add",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assetA' => 'CAS3J7GY...',
'assetB' => 'CCW67TSZ...',
'amountA' => '10000000',
'amountB' => '10000000',
'to' => 'GALAXYVOID...',
'slippageBps' => '50'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.soroswap.finance/liquidity/add"
payload := strings.NewReader("{\n \"assetA\": \"CAS3J7GY...\",\n \"assetB\": \"CCW67TSZ...\",\n \"amountA\": \"10000000\",\n \"amountB\": \"10000000\",\n \"to\": \"GALAXYVOID...\",\n \"slippageBps\": \"50\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.soroswap.finance/liquidity/add")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"assetA\": \"CAS3J7GY...\",\n \"assetB\": \"CCW67TSZ...\",\n \"amountA\": \"10000000\",\n \"amountB\": \"10000000\",\n \"to\": \"GALAXYVOID...\",\n \"slippageBps\": \"50\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soroswap.finance/liquidity/add")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assetA\": \"CAS3J7GY...\",\n \"assetB\": \"CCW67TSZ...\",\n \"amountA\": \"10000000\",\n \"amountB\": \"10000000\",\n \"to\": \"GALAXYVOID...\",\n \"slippageBps\": \"50\"\n}"
response = http.request(request)
puts response.read_bodyLiquidity (Soroswap AMM)
Add liquidity to a pool
Builds an unsigned transaction that deposits two assets into a Soroswap AMM pool, or creates the pool when none exists. Amounts in stroops; amountB must match the pool ratio within slippageBps (default 1%).
POST
/
liquidity
/
add
Add liquidity to a pool
curl --request POST \
--url https://api.soroswap.finance/liquidity/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetA": "CAS3J7GY...",
"assetB": "CCW67TSZ...",
"amountA": "10000000",
"amountB": "10000000",
"to": "GALAXYVOID...",
"slippageBps": "50"
}
'import requests
url = "https://api.soroswap.finance/liquidity/add"
payload = {
"assetA": "CAS3J7GY...",
"assetB": "CCW67TSZ...",
"amountA": "10000000",
"amountB": "10000000",
"to": "GALAXYVOID...",
"slippageBps": "50"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assetA: 'CAS3J7GY...',
assetB: 'CCW67TSZ...',
amountA: '10000000',
amountB: '10000000',
to: 'GALAXYVOID...',
slippageBps: '50'
})
};
fetch('https://api.soroswap.finance/liquidity/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soroswap.finance/liquidity/add",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assetA' => 'CAS3J7GY...',
'assetB' => 'CCW67TSZ...',
'amountA' => '10000000',
'amountB' => '10000000',
'to' => 'GALAXYVOID...',
'slippageBps' => '50'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.soroswap.finance/liquidity/add"
payload := strings.NewReader("{\n \"assetA\": \"CAS3J7GY...\",\n \"assetB\": \"CCW67TSZ...\",\n \"amountA\": \"10000000\",\n \"amountB\": \"10000000\",\n \"to\": \"GALAXYVOID...\",\n \"slippageBps\": \"50\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.soroswap.finance/liquidity/add")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"assetA\": \"CAS3J7GY...\",\n \"assetB\": \"CCW67TSZ...\",\n \"amountA\": \"10000000\",\n \"amountB\": \"10000000\",\n \"to\": \"GALAXYVOID...\",\n \"slippageBps\": \"50\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soroswap.finance/liquidity/add")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assetA\": \"CAS3J7GY...\",\n \"assetB\": \"CCW67TSZ...\",\n \"amountA\": \"10000000\",\n \"amountB\": \"10000000\",\n \"to\": \"GALAXYVOID...\",\n \"slippageBps\": \"50\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
Example:
"CAS3J7GY..."
Example:
"CCW67TSZ..."
Example:
"10000000"
Example:
"10000000"
Example:
"GALAXYVOID..."
Slippage tolerance in basis points (bps). 10000 = 100%, 100 = 1%, 50 = 0.5%. Default is 50 bps (0.5%)
Example:
"50"
Response
Returns the transaction xdr and information about the pool